> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Mostrar Detalles de Usuario

GET https://api.megaport.com/v2/employee/{employeeId}

Devuelve la información de usuario para el usuario especificado por el ID de empleado.

Puede encontrar el ID de empleado (`personId`) utilizando el endpoint GET Lista de Usuarios de Empresa `/v2/employment`.

La respuesta incluye el puesto, nombre, dirección de correo electrónico, número de teléfono, nombre de usuario, si el usuario está activo o no, rol de Megaport, permisos de Megaport y si la autenticación de múltiples factores (MFA) está habilitada para el usuario.

Reference: https://es.megaport.ferndocs.com/es/api-reference/user-authentication/show-user-details

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Path parameters

- `employeeId` (string, required)

## Response

### 200

Mostrar detalles de usuario - Éxito / Mostrar detalles de usuario - Éxito

- `data` (V2EmployeeEmployeeIdGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Errors

### 401 Unauthorized Error

Mostrar detalles de usuario - Problema de token / Mostrar detalles de usuario - Problema de token

- `message` (string, optional)
- `terms` (string, optional)

### 404 Not Found Error

Mostrar Detalles de Usuario - Usuario No Encontrado / Mostrar Detalles de Usuario - Usuario No Encontrado

- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2EmployeeEmployeeIdGetResponsesContentApplicationJsonSchemaData

- `active` (boolean, optional)
- `altId` (any, optional, nullable)
- `channelManager` (any, optional, nullable)
- `confirmationPending` (boolean, optional)
- `dateOfBirth` (any, optional, nullable)
- `description` (string, optional)
- `email` (string, optional)
- `emails` (list of V2EmployeeEmployeeIdGetResponsesContentApplicationJsonSchemaDataEmailsItems, optional)
- `facebook` (any, optional, nullable)
- `featureFlags` (list of any, optional)
- `firstName` (string, optional)
- `googlePlus` (any, optional, nullable)
- `invitationPending` (boolean, optional)
- `lastName` (string, optional)
- `linkedin` (any, optional, nullable)
- `mfaEnabled` (boolean, optional)
- `mobile` (string, optional)
- `mobileValidationDate` (any, optional, nullable)
- `name` (string, optional)
- `newsletter` (boolean, optional)
- `notificationEnabled` (boolean, optional)
- `partyId` (double, optional)
- `phone` (string, optional)
- `position` (string, optional)
- `promotions` (boolean, optional)
- `receivesChildNotifications` (boolean, optional)
- `requireTotp` (boolean, optional)
- `salutation` (string, optional)
- `securityRoles` (list of string, optional)
- `twitter` (any, optional, nullable)
- `uid` (string, optional)
- `username` (string, optional)

### V2EmployeeEmployeeIdGetResponsesContentApplicationJsonSchemaDataEmailsItems

- `badEmail` (boolean, optional)
- `badEmailReason` (any, optional, nullable)
- `badEmailType` (any, optional, nullable)
- `email` (string, optional)
- `emailAddressId` (double, optional)
- `primary` (boolean, optional)

## Examples

**Response**

```json
{
  "data": {
    "active": true,
    "altId": null,
    "channelManager": null,
    "confirmationPending": false,
    "dateOfBirth": null,
    "description": "I apologize, but no text was provided for translation. Could you please share the specific text you would like me to translate from English to Spanish?",
    "email": "jeff@megaport.com",
    "emails": [
      {
        "badEmail": false,
        "badEmailReason": null,
        "badEmailType": null,
        "email": "jeff@megaport.com",
        "emailAddressId": 37399,
        "primary": true
      }
    ],
    "facebook": null,
    "featureFlags": [],
    "firstName": "Jeff",
    "googlePlus": null,
    "invitationPending": false,
    "lastName": "Megaport",
    "linkedin": null,
    "mfaEnabled": false,
    "mobile": "+61 457702046",
    "mobileValidationDate": null,
    "name": "Jeff Megaport",
    "newsletter": false,
    "notificationEnabled": true,
    "partyId": 45115,
    "phone": "+61 457702046",
    "position": "Company Admin",
    "promotions": false,
    "receivesChildNotifications": false,
    "requireTotp": false,
    "salutation": "",
    "securityRoles": [
      "companyAdmin"
    ],
    "twitter": null,
    "uid": "c3cd47e7-20ed-41c3-92ce-b31ad8e3c29e",
    "username": "jeff@megaport.com"
  },
  "message": "Empleado 45115 encontrado",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/employee/employeeId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/employee/employeeId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/employee/employeeId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/employee/employeeId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/employee/employeeId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/employee/employeeId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/employee/employeeId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/employee/employeeId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```